summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJamin Collins2015-10-19 07:55:41 -0700
committerJamin Collins2015-10-19 07:56:55 -0700
commit9ce7d0be76ebff7e38370c7b33a9b810f7ff895f (patch)
treec066d8ce0d7b29b6892fcb15cae73cda9888154f
downloadaur-9ce7d0be76ebff7e38370c7b33a9b810f7ff895f.tar.gz
Initial packaged version
Signed-off-by: Jamin Collins <jamin.collins@gmail.com>
-rw-r--r--.SRCINFO27
-rwxr-xr-xMakefile.in.patch10
-rwxr-xr-xPKGBUILD35
-rwxr-xr-xconfigure.patch12
-rw-r--r--gnomint.changelog2
-rw-r--r--gnutls3.patch31
6 files changed, 117 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..14ee05db06f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = gnomint
+ pkgdesc = A x509 Certification Authority management tool for GTK/Gnome
+ pkgver = 1.2.1
+ pkgrel = 3
+ url = http://gnomint.sourceforge.net
+ arch = i686
+ arch = x86_64
+ license = GPLv3
+ makedepends = patch
+ makedepends = gnutls>=3
+ depends = intltool>=0.23
+ depends = sqlite3
+ depends = libgnomeui
+ depends = gnutls>=3
+ depends = libtasn1
+ depends = libgcrypt
+ source = http://downloads.sourceforge.net/project/gnomint/gnomint/1.2.1/gnomint-1.2.1.tar.gz
+ source = gnutls3.patch
+ source = configure.patch
+ source = Makefile.in.patch
+ md5sums = f09f55abe094232fbea2a2d13ef600e6
+ md5sums = 4871f56b52bcaa732183c2989d74e362
+ md5sums = 2121d32289a051f9305e4ce938230dbf
+ md5sums = a3daedfd564b282f07bb473e100a09b0
+
+pkgname = gnomint
+
diff --git a/Makefile.in.patch b/Makefile.in.patch
new file mode 100755
index 00000000000..cb38a927b5e
--- /dev/null
+++ b/Makefile.in.patch
@@ -0,0 +1,10 @@
+--- Makefile.in 2010-08-11 11:12:26.000000000 +0200
++++ Makefile.in.new 2011-11-09 15:30:21.888971350 +0100
+@@ -348,6 +348,7 @@
+ gnomint_cli_LDADD = \
+ $(GNOMINTCLI_LIBS) \
+ $(LIBGNUTLS_LIBS) \
++ $(LIBGCRYPT_LIBS) \
+ $(SQLITE_LIBS) \
+ $(READLINE_LIBS) \
+ $(LTLIBINTL)
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..ec24667b4c6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer : Jamin Collins <jamin.collins@gmail.com>
+
+pkgname=gnomint
+pkgver=1.2.1
+pkgrel=3
+pkgdesc='A x509 Certification Authority management tool for GTK/Gnome'
+arch=('i686' 'x86_64')
+url="http://gnomint.sourceforge.net"
+license=('GPLv3')
+depends=('intltool>=0.23' 'sqlite3' 'libgnomeui' 'gnutls>=3' 'libtasn1' 'libgcrypt')
+makedepends=('patch' 'gnutls>=3')
+
+source=("http://downloads.sourceforge.net/project/gnomint/gnomint/${pkgver}/gnomint-${pkgver}.tar.gz"
+ "gnutls3.patch"
+ "configure.patch"
+ "Makefile.in.patch")
+
+md5sums=('f09f55abe094232fbea2a2d13ef600e6'
+ '4871f56b52bcaa732183c2989d74e362'
+ '2121d32289a051f9305e4ce938230dbf'
+ 'a3daedfd564b282f07bb473e100a09b0')
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ patch ./configure < $startdir/configure.patch || return 1
+ CFLAGS="-I/usr/gnutls2/include" LDFLAGS="-L/usr/gnutls2/lib" ./configure --prefix=/usr --sysconfdir=/etc
+ patch src/Makefile.in < $startdir/Makefile.in.patch || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install
+}
+
+prepare() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -Np1 -i $srcdir/gnutls3.patch
+}
diff --git a/configure.patch b/configure.patch
new file mode 100755
index 00000000000..f9bf4d5e972
--- /dev/null
+++ b/configure.patch
@@ -0,0 +1,12 @@
+--- configure 2010-08-11 11:12:26.000000000 +0200
++++ configure.new 2011-11-09 15:28:25.196270198 +0100
+@@ -14338,7 +14338,8 @@
+
+
+ if test "x$GCC" = "xyes"; then
+- CFLAGS="-Wall -Werror"
++# CFLAGS="-Wall -Werror"
++ CFLAGS="${CFLAGS:--Wall}"
+ if test "x$use_debug" = "xYes"; then
+ CFLAGS="$CFLAGS -g -O0"
+ fi
diff --git a/gnomint.changelog b/gnomint.changelog
new file mode 100644
index 00000000000..c324b7ed730
--- /dev/null
+++ b/gnomint.changelog
@@ -0,0 +1,2 @@
+1.2.1-3 (Mon Oct 19 07:54:02 PDT 2015)
+- initial packaged version
diff --git a/gnutls3.patch b/gnutls3.patch
new file mode 100644
index 00000000000..8ee3371884e
--- /dev/null
+++ b/gnutls3.patch
@@ -0,0 +1,31 @@
+diff -aur a/src/import.c b/src/import.c
+--- a/src/import.c 2010-05-31 23:01:37.000000000 +0200
++++ b/src/import.c 2012-06-27 17:50:06.993671796 +0200
+@@ -695,7 +695,7 @@
+
+ // After having all the parts unencrypted, we import all certificates first.
+ for (i=0; i<n_bags; i++) {
+- gnutls_pkcs12_bag * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
++ gnutls_pkcs12_bag_t * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
+ guint num_elements_in_bag = gnutls_pkcs12_bag_get_count (*pkcs12_bag);
+
+ for (i=0; i < num_elements_in_bag; i++) {
+@@ -722,7 +722,7 @@
+
+ // Then, we import all PKCS8 private keys.
+ for (i=0; i<n_bags; i++) {
+- gnutls_pkcs12_bag * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
++ gnutls_pkcs12_bag_t * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
+ guint num_elements_in_bag = gnutls_pkcs12_bag_get_count (*pkcs12_bag);
+
+ for (i=0; i < num_elements_in_bag; i++) {
+@@ -796,7 +796,7 @@
+ // Then we import the CRLs
+
+ for (i=0; i<n_bags; i++) {
+- gnutls_pkcs12_bag * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
++ gnutls_pkcs12_bag_t * pkcs12_bag = g_array_index (pkcs_bag_array, gnutls_pkcs12_bag_t *, i);
+ guint num_elements_in_bag = gnutls_pkcs12_bag_get_count (*pkcs12_bag);
+
+ for (i=0; i < num_elements_in_bag; i++) {
+Nur in b/src: import.c~.